Package org.apache.catalina

## Interface AsyncDispatcher

    public interface AsyncDispatcher

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispatch​(ServletRequest request, ServletResponse response)` Perform an asynchronous dispatch.

### Method Detail

#### dispatch

    void dispatch​(ServletRequest request,
                  ServletResponse response)
           throws ServletException,
                  java.io.IOException

Perform an asynchronous dispatch. The method does not check if the request is in an appropriate state for this; it is the caller's responsibility to check this.

Parameters:
  `request` - The request object to pass to the dispatch target
  `response` - The response object to pass to the dispatch target
Throws:
  `ServletException` - if thrown by the dispatch target
  `java.io.IOException` - if an I/O error occurs while processing the dispatch